package org.xyzh.api.crontab;

import org.xyzh.common.core.domain.ResultDomain;
import org.xyzh.common.dto.crontab.TbCrontabEmailDefault;

/**
 * @description 定时任务邮件通知默认接收人服务接口
 * @filename EmailDefaultService.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-11-18
 */
public interface EmailDefaultService {

    /**
     * @description 创建默认接收人
     */
    ResultDomain<TbCrontabEmailDefault> createDefault(TbCrontabEmailDefault emailDefault);

    /**
     * @description 更新默认接收人
     */
    ResultDomain<TbCrontabEmailDefault> updateDefault(TbCrontabEmailDefault emailDefault);

    /**
     * @description 删除默认接收人
     */
    ResultDomain<Boolean> deleteDefault(String defaultId);

    /**
     * @description 根据defaultId查询
     */
    ResultDomain<TbCrontabEmailDefault> getDefaultById(String defaultId);

    /**
     * @description 根据metaId查询
     */
    ResultDomain<TbCrontabEmailDefault> getDefaultByMetaId(String metaId);
}
